#include "bsp.h"
#include "rgb.h"

static void __attribute__((constructor))
init_rgb ()
{
  trcmr  = 0x0f;
  trccr1 = 0x00;
  trccr2 = 0x00;

  trc = 0;
  trcgrb = 0;
  trcgrc = 0;
  trcgrd = 0;

  trcoer = 0x00;
  trcpsr0 = 0x50;	/* TRCIOB on P2.0 */
  trcpsr1 = 0x44;	/* C on P2.1, D on P2.2 */

  tstart_trcmr = 1;
}

void
set_rgb (int r, int g, int b)
{
  tstart_trcmr = 0;
  trcgrd = led_gamma[r & 0xff];
  trcgrc = led_gamma[g & 0xff];
  trcgrb = led_gamma[b & 0xff];
  tstart_trcmr = 1;
}
